.main-container {
  padding-top: 120px;
  padding-bottom: 200px;
}
@media (max-width: 1279px) {
  .main-container {
    padding-top: 100px;
    padding-bottom: 160px;
  }
}
@media (max-width: 767px) {
  .main-container {
    padding-top: 80px;
    padding-bottom: 140px;
  }
}

.text-center {
  text-align: center;
}

.certification-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 24px;
  row-gap: 32px;
  margin-top: 80px;
}
.certification-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border: 1px solid var(--gray-100);
  border-radius: 4px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.certification-item {
  position: relative;
  overflow: hidden;
  border-radius: 4px;
  box-shadow: var(--shadow-1);
}

.certification-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    0deg,
    rgba(0, 0, 0, 0.4) 0%,
    rgba(0, 0, 0, 0.4) 100%
  );
  opacity: 0;
  transition: opacity 0.3s ease;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

@media (max-width: 1279px) {
  .certification-overlay {
    display: none;
  }
}

.certification-title {
  color: var(--white);
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s ease;
  z-index: 2;
  width: 100%;
  padding: 0 16px;
  box-sizing: border-box;
}

.certification-item:hover .certification-overlay {
  opacity: 1;
}

.certification-item:hover .certification-title {
  opacity: 1;
  border-radius: 4px;
  background: radial-gradient(
    50% 50% at 50% 50%,
    rgba(0, 0, 0, 0.2) 0%,
    rgba(0, 0, 0, 0) 100%
  );
  padding: 40px;
}
@media (max-width: 1279px) {
  .certification-container {
    grid-template-columns: repeat(3, 1fr);
    column-gap: 16px;
    row-gap: 24px;
  }
}
@media (max-width: 767px) {
  .certification-container {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 8px;
    row-gap: 8px;
  }
}

/* Modal */
.modal-container {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(32, 32, 32, 0.8);
  z-index: 10000000000000;
  justify-content: center;
  align-items: center;
}

.modal-content {
  position: relative;
  padding: 16px;
}

.close-modal {
  position: absolute;
  top: 40px;
  right: 40px;
  width: 64px;
  height: 64px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 10000;
}

@media (max-width: 1279px) {
  .close-modal {
    top: 24px;
    right: 24px;
  }
}

@media (max-width: 767px) {
  .close-modal {
    top: 16px;
    right: 16px;
    width: 32px;
    height: 32px;
  }
}

.close-modal img {
  width: 48px;
  height: 48px;
}

@media (max-width: 767px) {
  .close-modal img {
    width: 32px;
    height: 32px;
  }
}

.image-modal-content img {
  max-width: 570px;
  width: 100%;
  height: 100%;
  aspect-ratio: 190/269;
  border-radius: 4px;
}

.image-modal-content p {
  text-align: center;
  margin-top: 20px;
  color: var(--white);
}
@media (max-width: 767px) {
  .image-modal-content p {
    margin-top: 16px;
  }
}
